#include <iostream>
using namespace std;

int search(int arr[], int n, int x)
{
    int i;
    for (i = 0; i < n; i++)
        if (arr[i] == x)
            return i;
    return -1;
}

int main() {
	int N,K,j,i;
	cin>>N>>K;
int niz[N];
for(i=0;i<N;i++){
	cin>>niz[i];

}
	int vrednost=search(niz,N,K);
	int rezultat=niz[vrednost+1];
	if(vrednost+1==N){
		rezultat=niz[0];
	}
	cout<<rezultat;


	return 0;
}